package com.yinlihupo.enlish.service.service;

import com.yinlihupo.enlish.service.domain.dataobject.ClassDO;
import com.yinlihupo.enlish.service.domain.dataobject.GradeDO;

import java.util.List;
import java.util.Map;

public interface ClassService {

    ClassDO findClassById(Integer id);

    List<ClassDO> findClassList(Integer page, Integer pageSize);

    int getClassCount();

    Map<Integer, GradeDO> findClassIds2GradeMap(List<Integer> classIds);

    void addClass(String className, Integer gradeId);

    void deleteClass(Integer classId);
}
